/*
Theme Name: Astra Child
Theme URI: https://wpastra.com/
Template: astra
Author: Brainstorm Force
Author URI: https://wpastra.com/about/?utm_source=theme_preview&utm_medium=author_link&utm_campaign=astra_theme
Description: The Astra WordPress theme is lightning-fast and highly customizable. It has over 1 million downloads and the only theme in the world with 5,700+ five-star reviews! It’s ideal for professional web designers, solopreneurs, small businesses, eCommerce, membership sites and any type of website. It offers special features and templates so it works perfectly with all page builders like Spectra, Elementor, Beaver Builder, etc. Fast performance, clean code, mobile-first design and schema markup are all built-in, making the theme exceptionally SEO-friendly. It’s fully compatible with WooCommerce, SureCart and other eCommerce plugins and comes with lots of store-friendly features and templates. Astra also provides expert support for free users. A dedicated team of fully trained WordPress experts are on hand to help with every aspect of the theme. Try the live demo of Astra: https://zipwp.org/themes/astra/
Tags: custom-menu,custom-logo,entertainment,one-column,two-columns,left-sidebar,e-commerce,right-sidebar,custom-colors,editor-style,featured-images,full-width-template,microformats,post-formats,rtl-language-support,theme-options,threaded-comments,translation-ready,blog
Version: 4.11.5.1751888796
Updated: 2025-07-07 11:46:36

*/

/* fonts */

@font-face {
  font-family: 'Big Caslon';
  font-style: normal;
  font-weight: normal;
  src: local('Big Caslon'), url('fonts/fonnts.com-Big_Caslon_CC.woff') format('woff');
}
@font-face {
  font-family: 'Big Caslon Black';
  font-style: normal;
  font-weight: normal;
  src: local('Big Caslon Black'), url('fonts/fonnts.com-Big_Caslon_CC_Black.woff') format('woff');
}
/* Start Annimated text */
 .annimated-parent-1 h2 {
    animation: gradient-change 2s linear infinite alternate;
    /*  in oklch produces more vibrant gradient results. learn more https://developer.chrome.com/docs/css-ui/access-colors-spaces#color_interpolation */
    background: linear-gradient( to right in oklch, var(--＠color-1), var(--＠color-2) );
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    background-clip: text;
    color: transparent;
    font-size: 155px;
}
@property --＠color-1 {
syntax: "<color>";
inherits: false;
initial-value: hsl(98 100% 62%);
}
@property --＠color-2 {
syntax: "<color>";
inherits: false;
initial-value: hsl(204 100% 59%);
}

/* keyframes that change the color variable */
@keyframes gradient-change {
to {
--＠color-1: hsl(210 100% 59%);
--＠color-2: hsl(310 100% 59%);
}
}

/* End for Annimated text */
	.inlinetext h1, .inlinetext h2 { display: inline; }

.awbigcaslon, .awbigcaslon h2, .awbigcaslon h1 { 
  font-family: 'Big Caslon Black' !important; 
  font-weight: 400 !important;
}
	
/* transperant header for home video page */
.transparent-header {
/* 	background-color: #f4f2ed00; */
  	position: absolute;
	top: 0;
/*   	z-index: 9; */
}
.transparent-header a.elementor-social-icon-instagram {background-color: #00000000 !important;}
.transparent-header .hfe-pointer__underline .menu-item.parent a.hfe-menu-item:after {height: 1px;}
#my-sticky-header.elementor-element {
	  transition: background 0.3s;
	position: fixed;
}
#my-sticky-header.elementor-element.hfe-sticky{
position: fixed;
left:0;
top:0;
width:100%;
background-color: rgba(0, 0, 0, 0.5);
animation: slide-down 0.8s;
}
	@keyframes slide-down{
		0% {
		  opacity: 0;
		  transform: translateY(-100%);
		}
		100% {
		  opacity: 0.9;
		  transform: translateY(0);
		}
	}
	@media only screen and (max-width: 1320px) and (min-width: 1200px) {
		.transparent-header .navmenu .hfe-nav-menu .menu-item a.hfe-menu-item {padding-left: 13px; padding-right: 13px;}
	}
	@media only screen and (min-width: 1025px) {
		.navmenu .hfe-nav-menu .hfe-nav-menu__layout-horizontal {width: 100% !important;}
	}
/* Home page */
.values .sticky-col {
  position: -webkit-sticky;
  position: sticky;
  top: 30px;
  z-index: 10;
}

.FAQ-sec .e-n-accordion .e-n-accordion-item-title-icon {position: absolute; right: 2.5%; top: 35px; z-index: 999;}
.FAQ-sec .e-n-accordion .e-n-accordion-item-title-icon .e-closed, .FAQ-sec .e-n-accordion .e-n-accordion-item-title-icon .e-opened {
	border: 1px solid #FFF;
  border-radius: 50%;
  height: 45px;
  width: 45px;
  align-items: center;
  justify-content: center;
}

/* common css */
.sec-linkk a{color: black;}
.sec-linkk a:hover{color: black; text-decoration: underline !important;}
a:focus {outline: none;}
.ast-page-builder-template.single .post-navigation{display: none;}
#masthead .ast-container{padding-left: 0px; padding-right: 0px;}

/* header & footer css */
.footer-style{font-family: "Montserrat", Sans-serif; font-size: 13px; font-weight: 400;}


	.ast-desktop .ast-menu-hover-style-underline > .menu-item.current-menu-item > .menu-link:before {
    content: "";
    position: absolute;
    width: 100%;
    right: 50%;
    height: 1px;
    background-color: transparent;
    transform: scale(0, 0) translate(-50%, 0);
    transition: transform .3s ease-in-out, color .0s ease-in-out;
}
	
.ast-desktop .ast-menu-hover-style-underline > .menu-item.current-menu-item > .menu-link:before {
    width: calc(100% - 1.2em);
    background-color: currentColor;
    transform: scale(1, 1) translate(50%, 0);
}

/* contact form */
.contact-formm .form-control {
  width: 100%;
  border: none;
  border-bottom: 2px solid #000;
  background: transparent;
  font-size: 16px;
  border-radius: 0px;
  padding: 10px 0;
  margin-bottom: 30px;
  color: #000;
  outline: none;
  box-shadow: none;
  resize: none;
}
.wpcf7 input.wpcf7-form-control:not([type=submit]):focus, .wpcf7 textarea.wpcf7-form-control:focus,  .contact-formm .form-control:hover, .contact-formm .form-control:focus {background: transparent; border: none; border-bottom: 2px solid #000; box-shadow: none; outline: none;}
.contact-formm .form-control::placeholder {color: #000; font-weight: 500; background: transparent;}

.contact-formm input[type="submit"]{
	background: black;
	color: #fff;
    padding: 12px 70px;
    font-size: 15px;
	font-family: "Montserrat", Sans-serif;
	line-height: 24px;
    border-radius: 0px;
}
.contact-formm input[type="submit"]:hover{background: #93421A;}
.wpcf7 form.invalid .wpcf7-response-output{color: #000;}
.wpcf7 form.failed .wpcf7-response-output{color: #000;}

/* New layout Contat form */
.new-contact-formm  .form-control{border-bottom: 2px solid #F4F2ED !important; color: #F4F2ED !important; font-size: 13px; margin-bottom: 0px;}
.new-contact-formm  .form-control::placeholder {color: #F4F2ED !important;}
.new-contact-formm input, .new-contact-formm textarea {padding: 12px 12px 16px 0px !important; }
.new-contact-formm .wpcf7-submit.custom-submit{padding: 12px 70px !important; background: #F4F2ED !important; color: #6b6c46 !important; font-weight:500; font-size: 13px; letter-spacing: 1px;}
.new-contact-formm .wpcf7-submit.custom-submit:hover{background: #000 !important; color: #F4F2ED !important;}
.new-contact-formm .wpcf7 .wpcf7-not-valid-tip {color: #FFF;}
.new-contact-formm  .wpcf7 form.invalid .wpcf7-response-output {color: #FFF;}
/* what we do */
/* .image-hoverr:hover h2{color: white !important;}
.image-hoverr:hover .elementor-button{color: black !important; background-color: #CFC3B0 !important;}  */
/* .image-hoverr:hover img{filter: grayscale(0); transform: scale(1.3);} */

.bg-hover-zoom::before{ transition: .3s ease-in-out !important; }
.bg-hover-rotate::before{ transition: .3s ease-in-out !important; }
.bg-hover-morezoom::before{ transition: .3s ease-in-out !important;}
.bg-hover-zoom:hover::before{
	transform: scale(1.1); 
	transition: .3s ease-in-out !important;
}
.bg-hover-rotate:hover::before{
	rotate: 180deg; 
	transition: .3s ease-in-out !important;
}
.bg-hover-morezoom:hover::before{
	transform: scale(1.5); 
	transition: .3s ease-in-out !important;
}
.bg-hover-morezoom{
	transition: 3s ease-in-out !important;
	transition-duration: .3s !important;
}
.bg-hover-morezoom:hover{
	background-size: 140% !important;
	transition: 3s ease-in-out !important;
	transition-duration: .3s !important;
}

.ast-single-post .entry-content a{text-decoration: none;}
.video-stylee .elementor-custom-embed-image-overlay img{aspect-ratio: 0 !important;}


main{display: grid;  gap: 60px;}
main .main-grid {display: grid;  grid-template-columns: 1fr 1fr 1fr;  grid-auto-rows: auto; gap: 80px;}  
main .main-grid .item {overflow: hidden;  transition: transform 0.3s cubic-bezier(0.165, 0.84, 0.44, 1);}
main .main-grid .item:hover{transform: scale(0.9);}
main .main-grid .item .img-tall{
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
    height: 700px;
    width: 100%;
}
main .main-grid .item .img-short{
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
    height: 515px;
    width: 100%;
}
main .main-grid .item .img img{min-width: 100%; height: 100%;}
main .main-grid .item .content{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    padding: 20px 0px 0 0;
	gap: 0px;
}
main .main-grid .item .content h1{
    margin: 0px;
	font-family: 'Big Caslon';
    font-size: 16px;
    line-height: 20px;
    font-weight: 200;
	text-transform: capitalize;
    letter-spacing: 1px;
	color: #676027;
}
main .main-grid .item .content p{
    margin: 0px;
    font-size: 8px;
    line-height: 12px;
    font-weight: 400;
    letter-spacing: 0.5px;
	color: #676027;
	text-transform: uppercase;
}
main .main-grid .tall{grid-row: span 2; height: fit-content;}
main .main-grid .short{grid-row: span 1; height: fit-content;}
 
/* filter category */

.filter-buttons{
    display: inline-flex;
    margin: 0px;
    width: 100%;
    flex-direction: row;
    align-content: center;
    justify-content: center;
    flex-wrap: wrap;
    gap: 15px;
}
.filter-buttons button{width: fit-content;}
.filter-buttons button:first-child{width: 10%;}
/* .filter-buttons button:active{background: black;} */
.filter-buttons {text-align: center;  margin-bottom: 50px;}
.filter-buttons button {
    margin: 0 5px;
    padding: 0px 20px 5px;
    cursor: pointer;
    background: #ffffff00;
    color: black;
    font-family: "Montserrat", Sans-serif;
    font-size: 14px;
    font-weight: 500;
    line-height: 20px;
    border-radius: 8px;
    box-shadow: none;
    transition: all .2s linear;
    position: relative;
}
.filter-buttons button::before{
  content: "";
    position: absolute;
    width: 100%;
    right: 50%;
    height: 1px;
    bottom: 0;
    background-color: transparent;
    transform: scale(0, 0) translate(-50%, 0);
    transition: all .2s linear;
    
}
.filter-buttons button:hover::before{
    width: calc(100% - 1.2em);
    background-color: currentColor;
    transform: scale(1, 1) translate(50%, 0);
    transition: transform .3s ease-in-out, color .0s ease-in-out;
}
.filter-buttons button.active::before{
    width: calc(100% - 1.2em);
    background-color: currentColor;
    transform: scale(1, 1) translate(50%, 0);
    transition: transform .3s ease-in-out, color .0s ease-in-out;
}
.filter-buttons button:hover{background: rgba(255, 255, 255, 0); color: #93421A;}
.filter-buttons button.active {background-color: #ffffff00;  color: #93421A;}

/* blog-page */
.blogcontainer {display: flex; width: 100%; max-width: 1450px; padding: 100px 0px; margin: 0 auto;}
.blogcontainer main .main-grid .item .content h1{text-align: center;}

/* media queries */

@media screen and (min-width: 1025px) and (max-width:1200px)  {		
    .awbigcaslon, .awbigcaslon h2 { 
     font-size: 40px !important;
     line-height: 50px !important;
	}   
	.NEW-video--sec-HOM video .elementor-custom-embed-image-overlay img{ aspect-ratio: var(--video-aspect-ratio); --video-aspect-ratio: 0;}

}
	
@media (min-width: 1200px) and (max-width: 1400px) {
	.head-1 .elementor-widget-heading h2.elementor-heading-title{font-size: 50px !important; line-height: 60px !important;}  
}

@media (min-width: 922px) and (max-width: 1300px) {
   .ast-builder-menu-1 .menu-item > .menu-link{padding: 11px 13px 0px;}		
   .ast-builder-grid-row.ast-builder-grid-row-has-sides.ast-grid-center-col-layout {display: flex !important;  flex-wrap: nowrap;}	
   .site-header-primary-section-center {flex: 1;}	
   .site-primary-footer-wrap[data-section="section-primary-footer-builder"]{padding-top: 50px; padding-bottom: 50px;}
   .ast-builder-grid-row-3-equal .ast-builder-grid-row{grid-template-columns: repeat(1, 1fr) !important;}
   
}

@media screen and (max-width:1024px) {

    main .main-grid {grid-template-columns: repeat(2, 1fr);  gap: 30px;}
    main .main-grid .item .img-short,
    main .main-grid .item .img-tall {width: auto;}
    main .main-grid .item .img-short {height: 320px;}
    main .main-grid .item .img-tall {height: 650px;}
	.filter-buttons button {
    padding: 8px 10px;
	  font-size: 13px;
	  line-height: 24px;
  }
	.NEW-video--sec-HOM video .elementor-custom-embed-image-overlay img { aspect-ratio: var(--video-aspect-ratio); --video-aspect-ratio: 0;}
	.ast-builder-grid-row-3-equal .ast-builder-grid-row{grid-template-columns: repeat(1, 1fr) !important;}
	
	/* blog listing */
    .blogcontainer{padding: 30px 20px 70px;}
}


@media screen and (max-width:768px) {
    main .main-grid {display: grid;  grid-template-columns: 1fr;}
	.filter-buttons button {
    padding: 10px 10px;
	font-size: 12px;
	line-height: 15px;
    }
	.filter-buttons button{width: 100%;}
	.filter-buttons button:first-child{width: 100%;}
 	.filter-buttons{
    display: grid;
    width: auto;
    gap: 20px;
} 
	/* blog listing */
.blogcontainer{padding: 30px 15px 50px;}
}
	
	
	


/* CUSTOM ACCORDIAN SECTION */
body:not(.elementor-editor-active) #myaccordian .acc-content {
   max-height: 0;
  overflow: hidden;
  transition: max-height 0s ease; 
}
body:not(.elementor-editor-active) #myaccordian .acc-content.active {
    max-height: 1000px;
}
body:not(.elementor-editor-active) #myaccordian .acc-heading {
  transition: all 0.3s ease;
	display: flex;
	cursor: pointer;
}
body:not(.elementor-editor-active) #myaccordian .acc-heading.hidden {
  max-height: 0;
  opacity: 0;
padding: 0;
	display: none;
}
/* #myaccordian .acc-content { display: none; } */
#myaccordian .acc-heading .open-icon, #myaccordian .acc-content .close-icon {
  cursor: pointer;
}
	
	
.shimmer-text h2{
	background: linear-gradient(110deg, /* slight angle like Instagram */ #FFFFFF 0%, #FFFFFF 40%, #999999 50%, #FFFFFF 60%, #FFFFFF 100%);
  -webkit-text-fill-color: transparent;
	background-size: 200% 100%;
	-webkit-background-clip: text;

  /* Animation */
  animation: shimmer 4s linear infinite;
}
@keyframes shimmer {
  0% {
    background-position: 200% center;
  }
  100% {
    background-position: -200% center;
  }
}
	
	
/* icon effect */
.values-icon-box figure.elementor-image-box-img img { transition: 1s ease all; transition-duration: 1s !important; }
.values-icon-box .elementor-image-box-wrapper:hover figure.elementor-image-box-img img{ rotate: 360deg; }
.page-id-8966 html {scroll-behavior: smooth;}
	
/* portfolio detail */
.hide-case{display: none;}
